Subject: [bug#66180] [PATCH 00/19] Sort packages in node-xyz.scm

From: Sharlatan Hellseher <[email-masked]>
Date: Sun, 18 Feb 2024 14:48:13 +0000

Hi Nicolas,

>From recent split job for golang I may say that the order and placement of the
inherited package is very important.

There are two simple rules I've followed:

- inherited package needs to be in the same Guile module
- inherited package needs to follow the one which it's inherited from

Take a look at golang-xyz.scm, it's freshly created, alphabetically sorted and
all inherited packages following 2 mentioned rules.

--
Oleg

On Sun, 18 Feb 2024 at 14:29, Nicolas Graves <[email-masked]> wrote:
>
> On 2024-02-18 15:23, Nicolas Graves wrote:
>
> > On 2024-02-18 13:06, Sharlatan Hellseher wrote:
> >
> >> Hi Nicolas,
> >>
> >> I've checked packages order once again and found that some of them still
> >> need to be re-allocated but due to inheritance it can't be done easily.
> >>
> >> e.g. package node-serialport needs to be the one from the rest are inheritated.
> >>
> >> - node-serialport-binding-abstract
> >> - node-serialport-bindings
> >> - node-serialport-parser-byte-length
> >> - node-serialport-parser-cctalk
> >> - node-serialport-parser-delimiter
> >> - node-serialport-parser-inter-byte-timeout
> >> - node-serialport-parser-readline
> >> - node-serialport-parser-ready
> >> - node-serialport-parser-regex
> >> - node-serialport-stream
> >>
> >> May you check it please in the next round?
> >
> > Will do.
>
> I'm not sure how to do that though with these inheritance issues. Do you
> have an example in Guix source where this kind of things is done?
> >
> >>
> >> I've used Emacs' occur, search for define-public, copied to an empty
> >> buffer A and in buffer B sorted lines, then run buffer-diff on A and B.
> >> --8<---------------cut here---------------start------------->8---
> >> diff -u --label \#\<buffer\ \*new\*\<3\>\> --label \#\<buffer\ \*new\*\<4\>\> /tmp/buffer-content-SbBuJ0 /tmp/buffer-content-bu3SO4
> >> --- #<buffer *new*<3>>
> >> +++ #<buffer *new*<4>>
> >> @@ -30,17 +30,17 @@
> >>  define-public node-safe-stable-stringify
> >>  define-public node-segfault-handler
> >>  define-public node-semver
> >> +define-public node-serialport
> >>  define-public node-serialport-binding-abstract
> >> +define-public node-serialport-bindings
> >> +define-public node-serialport-parser-byte-length
> >> +define-public node-serialport-parser-cctalk
> >>  define-public node-serialport-parser-delimiter
> >> +define-public node-serialport-parser-inter-byte-timeout
> >>  define-public node-serialport-parser-readline
> >> -define-public node-serialport-bindings
> >> -define-public node-serialport-parser-regex
> >>  define-public node-serialport-parser-ready
> >> -define-public node-serialport-parser-inter-byte-timeout
> >> -define-public node-serialport-parser-cctalk
> >> -define-public node-serialport-parser-byte-length
> >> +define-public node-serialport-parser-regex
> >>  define-public node-serialport-stream
> >> -define-public node-serialport
> >>  define-public node-sqlite3
> >>  define-public node-stack-trace
> >>  define-public node-statsd-parser
> >> --8<---------------cut here---------------end--------------->8---
> >>
> >> Your servcie is pushed as aede3fa122..345a54ff4c to master.
> >>
> >> --
> >> Oleg
>
> --
> Best regards,
> Nicolas Graves

-- 
VCS: https://github.incerto.xyz/; https://git.sr.ht/~hellseher/
GPG: 9847 81DE 689C 21C2 6418 0867 76D7 27BF F62C D2B5

… наш разум - превосходная объяснительная машина которая способна
найти смысл почти в чем угодно, истолковать любой феномен, но
совершенно не в состоянии принять мысль о непредсказуемости.